Templates
List templates
GET
token_authheader
AuthorizationBearer <token>Token-based authentication using access tokens.
search?|Filter templates by name (case-insensitive substring match).
Default
nulltype?|Filter templates by preset type. Only returns templates that contain at least one preset of the given type.
Default
nullsort_by?Sort BySort by field: 'name' or 'created_at'.
Default
"created_at"Value in
"name""created_at"order?OrderSort order: 'asc' or 'desc'.
Default
"desc"Value in
"asc""desc"ownership?|Filter by ownership: 'mine' (own), 'shared' (via groups), 'default' (system).
Default
nullSuccessful Response
application/json- response
categories*array<>curl -X GET "https://example.com/preset/templates"{ "categories": [ { "id": "string", "name": "string", "description": "string", "thumbnail_url": "string", "visibility": "shared", "created_by": "string", "created_at": "string", "swatch_source": null, "preset_count": 0, "preset_types": [ "flat_2_model" ], "groups": [ "string" ], "preset_previews": [ { "preset_code": "string", "name": "string", "preview_url": null, "framing": null, "angle": null } ] } ]}